<?php

// API routes  for floorplan
Route::prefix('{guard}/offplan')->group(function () {
    Route::get('floorplan/form/{element}', 'FloorplanAPIController@form');
    Route::resource('floorplan', 'FloorplanAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offplans
            Route::prefix('{guard}/offplan')->group(function () {
                Route::get('floorplan/form/{element}', 'FloorplanAPIController@form');
                Route::apiResource('floorplan', 'FloorplanAPIController');
            });
            // Public routes for offplans
            Route::get('offplan/Floorplan', 'FloorplanPublicController@getFloorplan');
        }
    );
}

// API routes  for project
Route::prefix('{guard}/offplan')->group(function () {
    Route::get('project/form/{element}', 'ProjectAPIController@form');
    Route::resource('project', 'ProjectAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offplans
            Route::prefix('{guard}/offplan')->group(function () {
                Route::get('project/form/{element}', 'ProjectAPIController@form');
                Route::apiResource('project', 'ProjectAPIController');
            });
            // Public routes for offplans
            Route::get('offplan/Project', 'ProjectPublicController@getProject');
        }
    );
}

// API routes  for unit
Route::prefix('{guard}/offplan')->group(function () {
    Route::get('unit/form/{element}', 'UnitAPIController@form');
    Route::resource('unit', 'UnitAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offplans
            Route::prefix('{guard}/offplan')->group(function () {
                Route::get('unit/form/{element}', 'UnitAPIController@form');
                Route::apiResource('unit', 'UnitAPIController');
            });
            // Public routes for offplans
            Route::get('offplan/Unit', 'UnitPublicController@getUnit');
        }
    );
}

// API routes  for booking
Route::prefix('{guard}/offplan')->group(function () {
    Route::get('booking/form/{element}', 'BookingAPIController@form');
    Route::resource('booking', 'BookingAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offplans
            Route::prefix('{guard}/offplan')->group(function () {
                Route::get('booking/form/{element}', 'BookingAPIController@form');
                Route::apiResource('booking', 'BookingAPIController');
            });
            // Public routes for offplans
            Route::get('offplan/Booking', 'BookingPublicController@getBooking');
        }
    );
}

