<?php

// web routes  for floorplan
Route::prefix('{guard}/offplan')->group(function () {
    Route::resource('floorplan', 'FloorplanResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FloorplanResourceController');
            });
            // Public routes for pages
            Route::get('offplans/', 'FloorplanPublicController@index');
            Route::get('offplans/{slug?}', 'FloorplanPublicController@show');
        }
    );
}

// web routes  for project
Route::prefix('{guard}/offplan')->group(function () {
    Route::resource('project', 'ProjectResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProjectResourceController');
            });
            // Public routes for pages
            Route::get('offplans/', 'ProjectPublicController@index');
            Route::get('offplans/{slug?}', 'ProjectPublicController@show');
        }
    );
}

// web routes  for unit
Route::prefix('{guard}/offplan')->group(function () {
    Route::resource('unit', 'UnitResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'UnitResourceController');
            });
            // Public routes for pages
            Route::get('offplans/', 'UnitPublicController@index');
            Route::get('offplans/{slug?}', 'UnitPublicController@show');
        }
    );
}

// web routes  for booking
Route::prefix('{guard}/offplan')->group(function () {
    Route::resource('booking', 'BookingResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BookingResourceController');
            });
            // Public routes for pages
            Route::get('offplans/', 'BookingPublicController@index');
            Route::get('offplans/{slug?}', 'BookingPublicController@show');
        }
    );
}

