<?php

namespace Bixo\Offplan\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Floorplan policy
        'Bixo\Offplan\Models\Floorplan' => \Bixo\Offplan\Policies\FloorplanPolicy::class,// Bind Project policy
        'Bixo\Offplan\Models\Project' => \Bixo\Offplan\Policies\ProjectPolicy::class,// Bind Unit policy
        'Bixo\Offplan\Models\Unit' => \Bixo\Offplan\Policies\UnitPolicy::class,// Bind Booking policy
        'Bixo\Offplan\Models\Booking' => \Bixo\Offplan\Policies\BookingPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
