<?php

namespace Bixo\Offplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BookingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Offplan\Models\Booking $booking)
    {
        return [
            'id'                => $booking->getRouteKey(),
            'key'               => [
                'public'    => $booking->getPublicKey(),
                'route'     => $booking->getRouteKey(),
            ], 
            'name'              => $booking->name,
            'mobile'            => $booking->mobile,
            'email'             => $booking->email,
            'price'             => $booking->price,
            'payment_method'    => $booking->payment_method,
            'payment_plan'      => $booking->payment_plan,
            'agent_id'          => $booking->agent_id,
            'user_id'           => $booking->user_id,
            'user_type'         => $booking->user_type,
            'deleted_at'        => $booking->deleted_at,
            'url'               => [
                'public'    => trans_url('offplan/'.$booking->getPublicKey()),
                'user'      => guard_url('offplan/booking/'.$booking->getRouteKey()),
            ], 
            'status'            => trans('app.'.$booking->status),
            'created_at'        => format_date($booking->created_at),
            'updated_at'        => format_date($booking->updated_at),
        ];
    }
}