<?php

namespace Bixo\Offplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FloorplanTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Offplan\Models\Floorplan $floorplan)
    {
        return [
            'id'                => $floorplan->getRouteKey(),
            'key'               => [
                'public'    => $floorplan->getPublicKey(),
                'route'     => $floorplan->getRouteKey(),
            ], 
            'user_id'           => $floorplan->user_id,
            'user_type'         => $floorplan->user_type,
            'deleted_at'        => $floorplan->deleted_at,
            'url'               => [
                'public'    => trans_url('offplan/'.$floorplan->getPublicKey()),
                'user'      => guard_url('offplan/floorplan/'.$floorplan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$floorplan->status),
            'created_at'        => format_date($floorplan->created_at),
            'updated_at'        => format_date($floorplan->updated_at),
        ];
    }
}