<?php

namespace Bixo\Offplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Offplan\Models\Project $project)
    {
        return [
            'id'                => $project->getRouteKey(),
            'key'               => [
                'public'    => $project->getPublicKey(),
                'route'     => $project->getRouteKey(),
            ], 
            'developer_id'      => $project->developer_id,
            'project_name'      => $project->project_name,
            'title'             => $project->title,
            'starting_price'    => $project->starting_price,
            'completion'        => $project->completion,
            'payment_plan'      => $project->payment_plan,
            'documents'         => $project->documents,
            'features'          => $project->features,
            'distances'         => $project->distances,
            'photos'            => $project->photos,
            'floor_plans'       => $project->floor_plans,
            'user_id'           => $project->user_id,
            'user_type'         => $project->user_type,
            'deleted_at'        => $project->deleted_at,
            'url'               => [
                'public'    => trans_url('offplan/'.$project->getPublicKey()),
                'user'      => guard_url('offplan/project/'.$project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project->status),
            'created_at'        => format_date($project->created_at),
            'updated_at'        => format_date($project->updated_at),
        ];
    }
}