<?php

namespace Bixo\Offplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UnitTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Offplan\Models\Unit $unit)
    {
        return [
            'id'                => $unit->getRouteKey(),
            'key'               => [
                'public'    => $unit->getPublicKey(),
                'route'     => $unit->getRouteKey(),
            ], 
            'category_id'       => $unit->category_id,
            'number'            => $unit->number,
            'price'             => $unit->price,
            'bed'               => $unit->bed,
            'bath'              => $unit->bath,
            'view'              => $unit->view,
            'user_id'           => $unit->user_id,
            'user_type'         => $unit->user_type,
            'deleted_at'        => $unit->deleted_at,
            'url'               => [
                'public'    => trans_url('offplan/'.$unit->getPublicKey()),
                'user'      => guard_url('offplan/unit/'.$unit->getRouteKey()),
            ], 
            'status'            => trans('app.'.$unit->status),
            'created_at'        => format_date($unit->created_at),
            'updated_at'        => format_date($unit->updated_at),
        ];
    }
}